# Generated by Django 2.0.3 on 2018-04-01 12:52

from django.db import migrations, models
import django.db.models.deletion
import minisentry.helpers


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('event_id', models.CharField(max_length=32)),
                ('message', models.TextField()),
                ('level', models.IntegerField(null=True)),
                ('platform', models.CharField(max_length=64, null=True)),
                ('timestamp', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('time_spent', models.IntegerField(null=True)),
                ('data', models.BinaryField()),
            ],
            options={
                'ordering': ['-timestamp'],
            },
        ),
        migrations.CreateModel(
            name='Group',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('long_id', models.CharField(max_length=32, unique=True)),
                ('level', models.IntegerField(blank=True, choices=[(0, 'sample'), (10, 'debug'), (20, 'info'), (30, 'warning'), (40, 'error'), (50, 'fatal')], db_index=True, default=40)),
                ('message', models.TextField()),
                ('platform', models.CharField(max_length=64, null=True)),
                ('status', models.PositiveIntegerField(choices=[(0, 'Unresolved'), (1, 'Resolved'), (2, 'Ignored'), (3, 'Pending_Deletion'), (4, 'Deletion_In_Progress'), (5, 'Pending_Merge')], db_index=True, default=0)),
                ('times_seen', models.PositiveIntegerField(db_index=True, default=1)),
                ('last_seen', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('first_seen', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('resolved_at', models.DateTimeField(db_index=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('key', models.CharField(default=minisentry.helpers.gen_secret, max_length=34)),
                ('secret', models.CharField(default=minisentry.helpers.gen_secret, max_length=34)),
            ],
        ),
        migrations.AddField(
            model_name='group',
            name='project',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='minisentry.Project'),
        ),
        migrations.AddField(
            model_name='event',
            name='group',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='minisentry.Group', to_field='long_id'),
        ),
        migrations.AddField(
            model_name='event',
            name='project',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='minisentry.Project'),
        ),
        migrations.AlterIndexTogether(
            name='group',
            index_together={('project', 'last_seen')},
        ),
        migrations.AlterUniqueTogether(
            name='event',
            unique_together={('project', 'event_id')},
        ),
        migrations.AlterIndexTogether(
            name='event',
            index_together={('group', 'timestamp')},
        ),
    ]
